AnsweredAssumed Answered

How to get rid of this error: "Feature collection need to be projected"?

Question asked by chriscamed on Jun 30, 2015
Latest reply on Jul 27, 2015 by WCrick-esristaff

Hello guys, I'm using

 

fl = new ArcGISFeatureLayer(getResources().getString(R.string.layerDefinition), fs, o);

 

to create a feature layer locally, where fs is a FeatureSet loaded from a .txt file in JSON format, and 'o' are options of type Options.

 

Both layerDefinition and featureSet are in WGS84 Spatial Reference (4326) and my basemap is initialized as follows:

 

map = new MapView(this, WEB_MERCATOR, new ArcGISLocalTiledLayer(Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + "ingenio_la_cabana" + "/" + "mapa_ingenio.tpk").getFullExtent());

 

The problem is that it shows this error "Feature collection need to be projected" when I try to load my FeatureLayer locally. This problem appears randomly; sometimes it crashes and doesn't load the layer and sometimes it works fine without touching any code.

 

Is this an Arcgis for Android bug? Or is it something I'm doing wrong?

 

Hope you can help me! thank you!

Outcomes